# Method: installer.generateSecret

- [HTTP request](https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/installer/generateSecret#body.HTTP_TEMPLATE)
- [Request body](https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/installer/generateSecret#body.request_body)
- [Response body](https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/installer/generateSecret#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/installer/generateSecret#body.GenerateSecretResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/installer/generateSecret#body.aspect)

Generates a secret to be used with the `https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/installer/validate#spectrum.sas.portal.v1alpha1.DeviceManager.ValidateInstaller`.

### HTTP request

`POST https://sasportal.googleapis.com/v1alpha1/installer:generateSecret`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response for `https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/installer/generateSecret#spectrum.sas.portal.v1alpha1.DeviceManager.GenerateSecret`.

| JSON representation ||
|---|---|
| ``` { "secret": string } ``` |

| Fields ||
|---|---|
| `secret` | `string` The secret generated by the string and used by \[installer.validate\] method. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/userinfo.email`